Nils Larsch via RT schrieb:
>=20
> openssl doesn't support the type of padding=20
> (0x80, 0x00, 0x00, ...) you are using
> (openssl only supports the padding described
> in pkcs7).


In that case, any idea why it does happen to
work with version 0.9.8? Assuming that wasn't
intended, it sure seems like a very strange
coincidence...

> Try decrypting it without padding (using the
> EVP_CIPH_NO_PADDING flag) and remove the
> padding yourself.


OK, will do. Thanks,

Stefan


__________________________________________________ ____________________
OpenSSL Project http://www.openssl.org
Development Mailing List openssl-dev@openssl.org
Automated List Manager majordomo@openssl.org